/**
 *  Klasse zum halten der Listendatenstze. 
 *   @author Harald Kranz
 *
 */
public class DFListRecord {
	
	/**
	 * Listendatensatz als String 
	 */
	private String stringValue;
	
	/**
	 * Listendatensatz als byte[]
	 */
	private byte[] byteValue;
	
	/**
	 * Bezeichnung der Liste 
	 */
	private String fileName;
	
	/**
	 * Nummer der Liste
	 */
	private int listNumber;
	
	/**
	 * 
	 */
	public DFListRecord()
	{
		
	}

	/**
	 * Getter Listendatensatz als String 
	 * @return String Listendatenmsatz
	 */
	public String getStringValue() {
		return stringValue;
	}

	/**
	 * Setter Listendatensatz
	 * @param stringValue als String 
	 */
	public void setStringValue(String stringValue) {
		this.stringValue = stringValue;
	}

	/**
	 * Getter Listendatensatz als byte[]
	 * @return Listendatensatz als byte[]
	 */
	public byte[] getByteValue() {
		return byteValue;
	}

	/**
	 * Setter Listendatensatz als byte[]
	 * @param byteValue Listendatensatz byte[]
	 */
	public void setByteValue(byte[] byteValue) {
		this.byteValue = byteValue;
	}

	/**
	 * Getter fr die Listenbezeichnung 
	 * @return String Listenbezeichnung
	 */
	public String getFileName() {
		return fileName;
	}

	/**
	 * Setter fr die Listenbezeichnung
	 * @param fileName als String 
	 */
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	/**
	 * Getter fr die Listennummer 
	 * @return int Listennummer 
	 */
	public int getListNumber() {
		return listNumber;
	}

	/**
	 * Setter fr die Listennummer 
	 * @param listNumber als int
	 */
	public void setListNumber(int listNumber) {
		this.listNumber = listNumber;
	}
	
	
}
